import React from "react";
import Reflux from "reflux";
import {Label} from "react-bootstrap";

import Actions from "../../actions/Actions";
import I18nWrapper from "../../i18n/I18nWrapper";
import injectIntl from "../../utils/injectIntl";
import ReportsTable from "./ReportsTable";
import TagStore from "../../stores/TagStore";

class FilterableReportsTable extends Reflux.Component {
    constructor(props) {
        super(props);
        this.i18n = props.i18n;
        this.state = {
            filterTags: []
        };
    }

    render() {
        const props = {...this.props};
        // props.reports = this._filterReports(props.reports);

        return <div>
            <ReportsTable {...props}/>
        </div>;
    }
}

export default injectIntl(I18nWrapper(FilterableReportsTable));
